Ruby: select_args Struct Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Data Fields
select_args Struct Reference

## Data Fields
VALUE | read
VALUE | write
VALUE | except
struct timeval * | timeout
rb_fdset_t | fdsets [4]
union {
int fd
int error
} | as
rb_fdset_t * | read
rb_fdset_t * | write
rb_fdset_t * | except
struct waiting_fd | wfd
struct timeval * | tv

## Detailed Description

Definition at line 9409 of file io.c.

## Field Documentation

## ◆

union { ... } select_args::as

Referenced by rb_thread_wait_for_single_fd().

## ◆ error

int select_args::error

Definition at line 4506 of file thread.c.

Referenced by rb_thread_wait_for_single_fd().

## ◆ except [1/2]

VALUE select_args::except

Definition at line 9410 of file io.c.

Referenced by rb_thread_wait_for_single_fd().

## ◆ except [2/2]

rb_fdset_t* select_args::except

Definition at line 4510 of file thread.c.

## ◆ fd

int select_args::fd

Definition at line 4505 of file thread.c.

Referenced by rb_thread_wait_for_single_fd().

## ◆ fdsets

rb_fdset_t select_args::fdsets[4]

Definition at line 9412 of file io.c.

## ◆ read [1/2]

VALUE select_args::read

Definition at line 9410 of file io.c.

Referenced by rb_thread_wait_for_single_fd().

## ◆ read [2/2]

rb_fdset_t* select_args::read

Definition at line 4508 of file thread.c.

## ◆ timeout

struct timeval* select_args::timeout

Definition at line 9411 of file io.c.

Referenced by rb_thread_wait_for_single_fd().

## ◆ tv

struct timeval* select_args::tv

Definition at line 4512 of file thread.c.

Referenced by rb_thread_wait_for_single_fd().

## ◆ wfd

struct waiting_fd select_args::wfd

Definition at line 4511 of file thread.c.

Referenced by rb_thread_wait_for_single_fd().

## ◆ write [1/2]

VALUE select_args::write

Definition at line 9410 of file io.c.

Referenced by rb_thread_wait_for_single_fd().

## ◆ write [2/2]

rb_fdset_t* select_args::write

Definition at line 4509 of file thread.c.

The documentation for this struct was generated from the following files:

- io.c
- thread.c